# Uses of Class
org.springframework.beans.factory.support.AutowireCandidateQualifier

Packages that use AutowireCandidateQualifier
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of AutowireCandidateQualifier in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return AutowireCandidateQualifier
Modifier and Type
Method
Description
`AutowireCandidateQualifier`
AbstractBeanDefinition.`getQualifier(String typeName)`
Return the qualifier mapped to the provided type name.
Methods in org.springframework.beans.factory.support that return types with arguments of type AutowireCandidateQualifier
Modifier and Type
Method
Description
`Set<AutowireCandidateQualifier>`
AbstractBeanDefinition.`getQualifiers()`
Return all registered qualifiers.
Methods in org.springframework.beans.factory.support with parameters of type AutowireCandidateQualifier
Modifier and Type
Method
Description
`void`
AbstractBeanDefinition.`addQualifier(AutowireCandidateQualifier qualifier)`
Register a qualifier to be used for autowire candidate resolution, keyed by the qualifier's type name.